/* Google Fonts */
@import url("https://fonts.googleapis.com/css2?family=Inter:wght@400;500;700&display=swap");

/* Variables CSS */
:root {
  /* Colors */
  --color-primary: hsl(243, 75%, 59%);
  --color-primary-light: hsl(239, 84%, 67%);
  --color-first: hsl(230, 94%, 82%);
  --color-second: hsl(243, 75%, 59%);
  --color-body: hsl(244, 4%, 36%);
  /* Border Radius */
  --rounded-large: 1.2rem;
  --rounded-medium: 0.7rem;
  /* Font and Typography */
  --body-font: "Inter", Arial, Helvetica, sans-serif;
  --text-h2-size: 3.5rem;
  --text-medium-size: 1.8rem;
  --text-normal-size: 1.6rem;
  /* Font weight */
  --font-bold: 700;
  --font-medium: 500;
  --font-regular: 400;
}

*,
::before,
::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  /* 62.5% of 16px = 10px */
  font-size: 62.5%;
}

input,
button,
textarea {
  border: 0;
  outline: 0;
}

body {
  font-family: var(--body-font);
  font-size: var(--text-medium-size);
  line-height: 1.3;
  background: url("/images/le.jpg") no-repeat;
  background-attachment: fixed;
  background-position: center;
  background-size: cover;
  display: grid;
  place-items: center;
  min-height: 100vh;
}

img {
  max-width: 100%;
  max-height: auto;
}

a {
  text-decoration: none;
}

/* Container */
.container {
  max-width: 1140px;
  margin: 0 auto;
  padding: 5rem 2rem;
}

/* Grid */
.grid {
  display: grid;
  place-items: center;
  gap: 4rem;
}

/* Break Point */
@media screen and (min-width: 768px) {
  .grid--1x2 {
    grid-template-columns: repeat(2, 1fr);
  }
}

/* Contact Form */
.card {
  backdrop-filter: blur(20px);
  background: hsla(244, 16%, 92%, 0.6);
  border-radius: var(--rounded-large);
  border: 2px solid hsla(244, 16%, 92%, 0.75);
  max-width: 900px;
  padding: 3rem;
}

.contact__image {
  background-image: linear-gradient(
    180deg,
    var(--color-first) 0%,
    var(--color-second) 100%
  );
  border-radius: var(--rounded-large);
  min-height: 100%;
  overflow: hidden;
  display: grid;
  place-items: center;
}

.contact__image img {
  -webkit-animation: action 1s infinite alternate;
  animation: action 1s infinite alternate;
}

/* Animation */
@keyframes action {
  0% {
    transform: translateY(0);
  }

  100% {
    transform: translateY(-10px);
  }
}

.contact__header {
  text-align: left;
}

.contact__heading {
  color: var(--color-primary);
  font-size: var(--text-h2-size);
  font-weight: var(--font-bold);
  margin-bottom: 0;
  text-transform: capitalize;
}

.contact__description {
  color: var(--color-body);
  font-size: var(--text-medium-size);
  font-weight: var(--font-regular);
  margin-top: 1rem;
}

.contact__input {
  margin-top: 3rem;
}

.contact__input .input,
.contact__input textarea {
  background: hsla(244, 16%, 92%, 0.6);
  border-radius: var(--rounded-medium);
  border: 2px solid var(--color-body);
  font-size: var(--text-medium-size);
  margin: 1rem auto;
  padding: 1.3rem 1.5rem;
  transition: border 0.4s;
  width: 100%;
}

.contact__input textarea {
  resize: vertical;
}

.contact__input ::placeholder {
  color: var(--color-body);
}

.contact__input .input:focus,
.contact__input textarea:focus {
  border: 2px solid var(--color-primary-light);
}

/* Button */
.contact__btn {
  background: var(--color-primary);
  border-radius: var(--rounded-medium);
  box-shadow: 0px 25px 20px -20px hsla(239, 84%, 67%, 1);
  color: #fff;
  cursor: pointer;
  font-size: var(--text-medium-size);
  font-weight: var(--font-regular);
  letter-spacing: 1px;
  margin: 2rem auto 4rem auto;
  padding: 1.3rem 1.5rem;
  transition: background-color 0.3s ease;
  white-space: nowrap;
  width: 100%;
}

.contact__btn:hover {
  background-color: var(--color-primary-light);
}

/* Break Point */
@media screen and (min-width: 1024px) {
  .contact__input .input {
    font-size: 1.5rem;
  }
}
